%global pypi_name jupyterlab-widgets
%global srcname jupyterlab_widgets

Name:           jupyter-jupyterlab-widgets
Version:        3.0.13
Release:        %mkrel 2
Summary:        Jupyter Widgets JupyterLab Extension
License:        BSD-3-Clause
Group:          Development/Python
URL:            https://github.com/jupyter-widgets/ipywidgets
Source:         https://files.pythonhosted.org/packages/source/j/jupyterlab-widgets/%{srcname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python-rpm-macros

%description
A JupyterLab 3.0 extension for Jupyter/IPython widgets.

%package -n     python3-%{pypi_name}
Summary:        Jupyter Widgets JupyterLab Extension
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A JupyterLab 3.0 extension for Jupyter/IPython widgets.

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
%{_datadir}/jupyter/labextensions/@jupyter-widgets/


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 3.0.13-2.mga10
+ Revision: 2242071
- Mageia 10 Mass Rebuild

* Mon Mar 03 2025 papoteur <papoteur> 3.0.13-1.mga10
+ Revision: 2159501
- new version 3.0.13
- rebuild for python 3.13

* Tue Dec 26 2023 wally <wally> 3.0.9-1.mga10
+ Revision: 2021938
- new version 3.0.9

* Fri Oct 07 2022 papoteur <papoteur> 3.0.3-1.mga9
+ Revision: 1895314
- new 3.0.3

* Sun Mar 27 2022 umeabot <umeabot> 1.0.2-2.mga9
+ Revision: 1828907
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 tv <tv> 1.0.2-1.mga9
+ Revision: 1783557
- 1.0.2
- Fix building with python 3.10
- Rebuild for python-3.10

* Tue Apr 20 2021 daviddavid <daviddavid> 1.0.0-1.mga9
+ Revision: 1717335
- initial package jupyter-jupyterlab-widgets

